Home

Axelar - gRPC Gateway docs

v1.0.0
Base URL
https://axelar.nownodes.io

A REST interface for state queries, legacy transactions

Authentication

api-keyAuthapiKey

API Key: api-key in header

API Reference

QueryService

Key returns the key corresponding to a given key ID. If no key is found, it returns the grpc NOT_FOUND error.

GET
https://axelar.nownodes.io/axelar/multisig/v1beta1/key

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

key_idstringquery

Response

200OK

A successful response.

default

An unexpected error response

KeyID returns the key ID of a key assigned to a given chain. If no key is assigned, it returns the grpc NOT_FOUND error.

GET
https://axelar.nownodes.io/axelar/multisig/v1beta1/key_id/{chain}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

chainstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response

KeygenSession returns the keygen session info for a given key ID. If no key is found, it returns the grpc NOT_FOUND error.

GET
https://axelar.nownodes.io/axelar/multisig/v1beta1/keygen_session

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

key_idstringquery

Response

200OK

A successful response.

default

An unexpected error response

NextKeyID returns the key ID assigned for the next rotation on a given chain. If no key rotation is in progress, it returns the grpc NOT_FOUND error.

GET
https://axelar.nownodes.io/axelar/multisig/v1beta1/next_key_id/{chain}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

chainstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response

GET
https://axelar.nownodes.io/axelar/multisig/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

Assets queries the assets registered for a chain

GET
https://axelar.nownodes.io/axelar/nexus/v1beta1/assets/{chain}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

chainstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response

ChainMaintainers queries the chain maintainers for a given chain

GET
https://axelar.nownodes.io/axelar/nexus/v1beta1/chain_maintainers/{chain}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

chainstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response

ChainState queries the state of a registered chain on the network

GET
https://axelar.nownodes.io/axelar/nexus/v1beta1/chain_state/{chain}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

chainstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response

Chains queries the chains registered on the network

GET
https://axelar.nownodes.io/axelar/nexus/v1beta1/chains

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

statusstringCHAIN_STATUS_UNSPECIFIEDCHAIN_STATUS_ACTIVATEDCHAIN_STATUS_DEACTIVATEDCHAIN_STATUS_UNSPECIFIEDquery

Response

200OK

A successful response.

default

An unexpected error response

ChainsByAsset queries the chains that support an asset on the network

GET
https://axelar.nownodes.io/axelar/nexus/v1beta1/chains_by_asset/{asset}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

assetstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response

FeeInfo queries the fee info by chain and asset

GET
https://axelar.nownodes.io/axelar/nexus/v1beta1/fee

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

chainstringquery
assetstringquery

Response

200OK

A successful response.

default

An unexpected error response

FeeInfo queries the fee info by chain and asset

GET
https://axelar.nownodes.io/axelar/nexus/v1beta1/fee_info/{chain}/{asset}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

chainstringrequiredpath
assetstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response

GET
https://axelar.nownodes.io/axelar/nexus/v1beta1/message

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

idstringquery

Response

200OK

A successful response.

default

An unexpected error response

GET
https://axelar.nownodes.io/axelar/nexus/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

TransferFee queries the transfer fee by the source, destination chain, and amount. If amount is 0, the min fee is returned

GET
https://axelar.nownodes.io/axelar/nexus/v1beta1/transfer_fee

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

source_chainstringquery
destination_chainstringquery
amountstringquery

Response

200OK

A successful response.

default

An unexpected error response

TransferFee queries the transfer fee by the source, destination chain, and amount. If amount is 0, the min fee is returned

GET
https://axelar.nownodes.io/axelar/nexus/v1beta1/transfer_fee/{source_chain}/{destination_chain}/{amount}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

source_chainstringrequiredpath
destination_chainstringrequiredpath
amountstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response

TransfersForChain queries transfers by chain

GET
https://axelar.nownodes.io/axelar/nexus/v1beta1/transfers_for_chain/{chain}/{state}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

chainstringrequiredpath
statestringTRANSFER_STATE_UNSPECIFIEDTRANSFER_STATE_PENDINGTRANSFER_STATE_ARCHIVEDTRANSFER_STATE_INSUFFICIENT_AMOUNTrequiredpath
pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

GET
https://axelar.nownodes.io/axelar/reward/v1beta1/inflation_rate

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validatorstringquery

Response

200OK

A successful response.

default

An unexpected error response

GET
https://axelar.nownodes.io/axelar/reward/v1beta1/inflation_rate/{validator}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validatorstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response

GET
https://axelar.nownodes.io/axelar/reward/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

GET
https://axelar.nownodes.io/axelar/snapshot/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

GET
https://axelar.nownodes.io/axelar/vote/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

Params returns the parameters of the feepolicy module.

GET
https://axelar.nownodes.io/axelar/feepolicy/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

Returns list of Authorization, granted to the grantee by the granter.

GET
https://axelar.nownodes.io/cosmos/authz/v1beta1/grants

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

granterstringquery
granteestringquery
msg_type_urlstringquery
pagination.keystring<byte>query
pagination.offsetstring<uint64>query
pagination.limitstring<uint64>query
pagination.count_totalbooleanquery
pagination.reversebooleanquery

Response

200OK

A successful response.

default

An unexpected error response

Grants returns list of Authorization, granted to the grantee by the granter for a specific msg type.

GET
https://axelar.nownodes.io/cosmos/authz/v1beta1/grants/granter/{granter}/grantee/{grantee}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

granterstringrequiredpath
granteestringrequiredpath
msg_type_urlstringquery
pagination.keystring<byte>query
pagination.offsetstring<uint64>query
pagination.limitstring<uint64>query
pagination.count_totalbooleanquery
pagination.reversebooleanquery

Response

200OK

A successful response.

default

An unexpected error response

Query

GovernanceKey returns the multisig governance key

GET
https://axelar.nownodes.io/axelar/permission/v1beta1/governance_key

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

GET
https://axelar.nownodes.io/axelar/permission/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

Accounts returns all the existing accounts

GET
https://axelar.nownodes.io/cosmos/auth/v1beta1/accounts

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Since: cosmos-sdk 0.43

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

Account returns account details based on address.

GET
https://axelar.nownodes.io/cosmos/auth/v1beta1/accounts/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

addressstringrequiredpath

address defines the address to query for.

Response

200OK

A successful response.

default

An unexpected error response

ModuleAccountByName returns the module account info by module name

GET
https://axelar.nownodes.io/cosmos/auth/v1beta1/module_accounts/{name}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

namestringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response

Params queries all parameters.

GET
https://axelar.nownodes.io/cosmos/auth/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

AllBalances queries the balance of all coins for a single account.

GET
https://axelar.nownodes.io/cosmos/bank/v1beta1/balances/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

addressstringrequiredpath

address is the address to query balances for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

Balance queries the balance of a single coin for a single account.

GET
https://axelar.nownodes.io/cosmos/bank/v1beta1/balances/{address}/by_denom

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

addressstringrequiredpath

address is the address to query balances for.

denomstringquery

denom is the coin denom to query balances for.

Response

200OK

A successful response.

default

An unexpected error response

DenomsMetadata queries the client metadata for all registered coin denominations.

GET
https://axelar.nownodes.io/cosmos/bank/v1beta1/denoms_metadata

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

DenomsMetadata queries the client metadata of a given coin denomination.

GET
https://axelar.nownodes.io/cosmos/bank/v1beta1/denoms_metadata/{denom}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringrequiredpath

denom is the coin denom to query the metadata for.

Response

200OK

A successful response.

default

An unexpected error response

Params queries the parameters of x/bank module.

GET
https://axelar.nownodes.io/cosmos/bank/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

SpendableBalances queries the spenable balance of all coins for a single account.

GET
https://axelar.nownodes.io/cosmos/bank/v1beta1/spendable_balances/{address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

addressstringrequiredpath

address is the address to query spendable balances for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

TotalSupply queries the total supply of all coins.

GET
https://axelar.nownodes.io/cosmos/bank/v1beta1/supply

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

SupplyOf queries the supply of a single coin.

GET
https://axelar.nownodes.io/cosmos/bank/v1beta1/supply/{denom}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringrequiredpath

denom is the coin denom to query balances for.

Response

200OK

A successful response.

default

An unexpected error response

CommunityPool queries the community pool coins.

GET
https://axelar.nownodes.io/cosmos/distribution/v1beta1/community_pool

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

DelegationTotalRewards queries the total rewards accrued by a each validator.

GET
https://axelar.nownodes.io/cosmos/distribution/v1beta1/delegators/{delegator_address}/rewards

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

delegator_addressstringrequiredpath

delegator_address defines the delegator address to query for.

Response

200OK

A successful response.

default

An unexpected error response

DelegationRewards queries the total rewards accrued by a delegation.

GET
https://axelar.nownodes.io/cosmos/distribution/v1beta1/delegators/{delegator_address}/rewards/{validator_address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

delegator_addressstringrequiredpath

delegator_address defines the delegator address to query for.

validator_addressstringrequiredpath

validator_address defines the validator address to query for.

Response

200OK

A successful response.

default

An unexpected error response

DelegatorValidators queries the validators of a delegator.

GET
https://axelar.nownodes.io/cosmos/distribution/v1beta1/delegators/{delegator_address}/validators

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

delegator_addressstringrequiredpath

delegator_address defines the delegator address to query for.

Response

200OK

A successful response.

default

An unexpected error response

DelegatorWithdrawAddress queries withdraw address of a delegator.

GET
https://axelar.nownodes.io/cosmos/distribution/v1beta1/delegators/{delegator_address}/withdraw_address

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

delegator_addressstringrequiredpath

delegator_address defines the delegator address to query for.

Response

200OK

A successful response.

default

An unexpected error response

Params queries params of the distribution module.

GET
https://axelar.nownodes.io/cosmos/distribution/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

ValidatorCommission queries accumulated commission for a validator.

GET
https://axelar.nownodes.io/cosmos/distribution/v1beta1/validators/{validator_address}/commission

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validator_addressstringrequiredpath

validator_address defines the validator address to query for.

Response

200OK

A successful response.

default

An unexpected error response

ValidatorOutstandingRewards queries rewards of a validator address.

GET
https://axelar.nownodes.io/cosmos/distribution/v1beta1/validators/{validator_address}/outstanding_rewards

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validator_addressstringrequiredpath

validator_address defines the validator address to query for.

Response

200OK

A successful response.

default

An unexpected error response

ValidatorSlashes queries slash events of a validator.

GET
https://axelar.nownodes.io/cosmos/distribution/v1beta1/validators/{validator_address}/slashes

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validator_addressstringrequiredpath

validator_address defines the validator address to query for.

starting_heightstring<uint64>query

starting_height defines the optional starting height to query the slashes.

ending_heightstring<uint64>query

starting_height defines the optional ending height to query the slashes.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

Allowance returns fee granted to the grantee by the granter.

GET
https://axelar.nownodes.io/cosmos/feegrant/v1beta1/allowance/{granter}/{grantee}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

granterstringrequiredpath

granter is the address of the user granting an allowance of their funds.

granteestringrequiredpath

grantee is the address of the user being granted an allowance of another user's funds.

Response

200OK

A successful response.

default

An unexpected error response

Allowances returns all the grants for address.

GET
https://axelar.nownodes.io/cosmos/feegrant/v1beta1/allowances/{grantee}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

granteestringrequiredpath
pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

AllowancesByGranter returns all the grants given by an address Since v0.46

GET
https://axelar.nownodes.io/cosmos/feegrant/v1beta1/issued/{granter}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

granterstringrequiredpath
pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

AllEvidence queries all evidence.

GET
https://axelar.nownodes.io/cosmos/evidence/v1beta1/evidence

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

Evidence queries evidence based on evidence hash.

GET
https://axelar.nownodes.io/cosmos/evidence/v1beta1/evidence/{evidence_hash}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

evidence_hashstring<byte>requiredpath

evidence_hash defines the hash of the requested evidence.

Response

200OK

A successful response.

default

An unexpected error response

Params queries all parameters of the gov module.

GET
https://axelar.nownodes.io/cosmos/gov/v1/params/{params_type}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

params_typestringrequiredpath

params_type defines which parameters to query for, can be one of "voting", "tallying" or "deposit".

Response

200OK

A successful response.

default

An unexpected error response

Proposals queries all proposals based on given status.

GET
https://axelar.nownodes.io/cosmos/gov/v1/proposals

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

proposal_statusstringPROPOSAL_STATUS_UNSPECIFIEDPROPOSAL_STATUS_DEPOSIT_PERIODPROPOSAL_STATUS_VOTING_PERIODPROPOSAL_STATUS_PASSEDPROPOSAL_STATUS_REJECTEDPROPOSAL_STATUS_FAILEDPROPOSAL_STATUS_UNSPECIFIEDquery

proposal_status defines the status of the proposals.

  • PROPOSAL_STATUS_UNSPECIFIED: PROPOSAL_STATUS_UNSPECIFIED defines the default propopsal status.
  • PROPOSAL_STATUS_DEPOSIT_PERIOD: PROPOSAL_STATUS_DEPOSIT_PERIOD defines a proposal status during the deposit period.
  • PROPOSAL_STATUS_VOTING_PERIOD: PROPOSAL_STATUS_VOTING_PERIOD defines a proposal status during the voting period.
  • PROPOSAL_STATUS_PASSED: PROPOSAL_STATUS_PASSED defines a proposal status of a proposal that has passed.
  • PROPOSAL_STATUS_REJECTED: PROPOSAL_STATUS_REJECTED defines a proposal status of a proposal that has been rejected.
  • PROPOSAL_STATUS_FAILED: PROPOSAL_STATUS_FAILED defines a proposal status of a proposal that has failed.
voterstringquery

voter defines the voter address for the proposals.

depositorstringquery

depositor defines the deposit addresses from the proposals.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

Proposal queries proposal details based on ProposalID.

GET
https://axelar.nownodes.io/cosmos/gov/v1/proposals/{proposal_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

proposal_idstring<uint64>requiredpath

proposal_id defines the unique id of the proposal.

Response

200OK

A successful response.

default

An unexpected error response

Deposits queries all deposits of a single proposal.

GET
https://axelar.nownodes.io/cosmos/gov/v1/proposals/{proposal_id}/deposits

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

proposal_idstring<uint64>requiredpath

proposal_id defines the unique id of the proposal.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

Deposit queries single deposit information based proposalID, depositAddr.

GET
https://axelar.nownodes.io/cosmos/gov/v1/proposals/{proposal_id}/deposits/{depositor}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

proposal_idstring<uint64>requiredpath

proposal_id defines the unique id of the proposal.

depositorstringrequiredpath

depositor defines the deposit addresses from the proposals.

Response

200OK

A successful response.

default

An unexpected error response

TallyResult queries the tally of a proposal vote.

GET
https://axelar.nownodes.io/cosmos/gov/v1/proposals/{proposal_id}/tally

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

proposal_idstring<uint64>requiredpath

proposal_id defines the unique id of the proposal.

Response

200OK

A successful response.

default

An unexpected error response

Votes queries votes of a given proposal.

GET
https://axelar.nownodes.io/cosmos/gov/v1/proposals/{proposal_id}/votes

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

proposal_idstring<uint64>requiredpath

proposal_id defines the unique id of the proposal.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

Vote queries voted information based on proposalID, voterAddr.

GET
https://axelar.nownodes.io/cosmos/gov/v1/proposals/{proposal_id}/votes/{voter}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

proposal_idstring<uint64>requiredpath

proposal_id defines the unique id of the proposal.

voterstringrequiredpath

voter defines the oter address for the proposals.

Response

200OK

A successful response.

default

An unexpected error response

AnnualProvisions current minting annual provisions value.

GET
https://axelar.nownodes.io/cosmos/mint/v1beta1/annual_provisions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

Inflation returns the current minting inflation value.

GET
https://axelar.nownodes.io/cosmos/mint/v1beta1/inflation

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

Params returns the total set of minting parameters.

GET
https://axelar.nownodes.io/cosmos/mint/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

Params queries a specific parameter of a module, given its subspace and key.

GET
https://axelar.nownodes.io/cosmos/params/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

subspacestringquery

subspace defines the module to query the parameter for.

keystringquery

key defines the key of the parameter in the subspace.

Response

200OK

A successful response.

default

An unexpected error response

Params queries the parameters of slashing module

GET
https://axelar.nownodes.io/cosmos/slashing/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

SigningInfos queries signing info of all validators

GET
https://axelar.nownodes.io/cosmos/slashing/v1beta1/signing_infos

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

SigningInfo queries the signing info of given cons address

GET
https://axelar.nownodes.io/cosmos/slashing/v1beta1/signing_infos/{cons_address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

cons_addressstringrequiredpath

cons_address is the address to query signing info of

Response

200OK

A successful response.

default

An unexpected error response

DelegatorDelegations queries all delegations of a given delegator address.

GET
https://axelar.nownodes.io/cosmos/staking/v1beta1/delegations/{delegator_addr}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

delegator_addrstringrequiredpath

delegator_addr defines the delegator address to query for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

Redelegations queries redelegations of given address.

GET
https://axelar.nownodes.io/cosmos/staking/v1beta1/delegators/{delegator_addr}/redelegations

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

delegator_addrstringrequiredpath

delegator_addr defines the delegator address to query for.

src_validator_addrstringquery

src_validator_addr defines the validator address to redelegate from.

dst_validator_addrstringquery

dst_validator_addr defines the validator address to redelegate to.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

DelegatorUnbondingDelegations queries all unbonding delegations of a given delegator address.

GET
https://axelar.nownodes.io/cosmos/staking/v1beta1/delegators/{delegator_addr}/unbonding_delegations

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

delegator_addrstringrequiredpath

delegator_addr defines the delegator address to query for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

DelegatorValidators queries all validators info for given delegator address.

GET
https://axelar.nownodes.io/cosmos/staking/v1beta1/delegators/{delegator_addr}/validators

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

delegator_addrstringrequiredpath

delegator_addr defines the delegator address to query for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

DelegatorValidator queries validator info for given delegator validator pair.

GET
https://axelar.nownodes.io/cosmos/staking/v1beta1/delegators/{delegator_addr}/validators/{validator_addr}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

delegator_addrstringrequiredpath

delegator_addr defines the delegator address to query for.

validator_addrstringrequiredpath

validator_addr defines the validator address to query for.

Response

200OK

A successful response.

default

An unexpected error response

HistoricalInfo queries the historical info for given height.

GET
https://axelar.nownodes.io/cosmos/staking/v1beta1/historical_info/{height}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

heightstring<int64>requiredpath

height defines at which height to query the historical info.

Response

200OK

A successful response.

default

An unexpected error response

Parameters queries the staking parameters.

GET
https://axelar.nownodes.io/cosmos/staking/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

Pool queries the pool info.

GET
https://axelar.nownodes.io/cosmos/staking/v1beta1/pool

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

Validators queries all validators that match the given status.

GET
https://axelar.nownodes.io/cosmos/staking/v1beta1/validators

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

statusstringquery

status enables to query for validators matching a given status.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

Validator queries validator info for given validator address.

GET
https://axelar.nownodes.io/cosmos/staking/v1beta1/validators/{validator_addr}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validator_addrstringrequiredpath

validator_addr defines the validator address to query for.

Response

200OK

A successful response.

default

An unexpected error response

ValidatorDelegations queries delegate info for given validator.

GET
https://axelar.nownodes.io/cosmos/staking/v1beta1/validators/{validator_addr}/delegations

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validator_addrstringrequiredpath

validator_addr defines the validator address to query for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

Delegation queries delegate info for given validator delegator pair.

GET
https://axelar.nownodes.io/cosmos/staking/v1beta1/validators/{validator_addr}/delegations/{delegator_addr}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validator_addrstringrequiredpath

validator_addr defines the validator address to query for.

delegator_addrstringrequiredpath

delegator_addr defines the delegator address to query for.

Response

200OK

A successful response.

default

An unexpected error response

UnbondingDelegation queries unbonding info for given validator delegator pair.

GET
https://axelar.nownodes.io/cosmos/staking/v1beta1/validators/{validator_addr}/delegations/{delegator_addr}/unbonding_delegation

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validator_addrstringrequiredpath

validator_addr defines the validator address to query for.

delegator_addrstringrequiredpath

delegator_addr defines the delegator address to query for.

Response

200OK

A successful response.

default

An unexpected error response

ValidatorUnbondingDelegations queries unbonding delegations of a validator.

GET
https://axelar.nownodes.io/cosmos/staking/v1beta1/validators/{validator_addr}/unbonding_delegations

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validator_addrstringrequiredpath

validator_addr defines the validator address to query for.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

AppliedPlan queries a previously applied upgrade plan by its name.

GET
https://axelar.nownodes.io/cosmos/upgrade/v1beta1/applied_plan/{name}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

namestringrequiredpath

name is the name of the applied plan to query for.

Response

200OK

A successful response.

default

An unexpected error response

CurrentPlan queries the current upgrade plan.

GET
https://axelar.nownodes.io/cosmos/upgrade/v1beta1/current_plan

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

ModuleVersions queries the list of module versions from state.

GET
https://axelar.nownodes.io/cosmos/upgrade/v1beta1/module_versions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Since: cosmos-sdk 0.43

Parameters

module_namestringquery

module_name is a field to query a specific module consensus version from state. Leaving this empty will fetch the full list of module versions from state.

Response

200OK

A successful response.

default

An unexpected error response

Axelarnet

Params queries the parameters of the axelarnet module

GET
https://axelar.nownodes.io/axelar/axelarnet/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

Service

GetLatestBlock returns the latest block.

GET
https://axelar.nownodes.io/cosmos/base/comet/v1beta1/blocks/latest

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

GetBlockByHeight queries block for given height.

GET
https://axelar.nownodes.io/cosmos/base/comet/v1beta1/blocks/{height}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

heightstring<int64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response

GetNodeInfo queries the current node info.

GET
https://axelar.nownodes.io/cosmos/base/comet/v1beta1/node_info

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

GetSyncing queries node syncing.

GET
https://axelar.nownodes.io/cosmos/base/comet/v1beta1/syncing

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

GetLatestValidatorSet queries latest validator-set.

GET
https://axelar.nownodes.io/cosmos/base/comet/v1beta1/validatorsets/latest

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

GetValidatorSetByHeight queries validator-set at a given height.

GET
https://axelar.nownodes.io/cosmos/base/comet/v1beta1/validatorsets/{height}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

heightstring<int64>requiredpath
pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response